Bullet Collision Detection & Physics Library: gim_clip_polygon.h File Reference

Bullet Collision Detection & Physics Library

Classes | Functions
gim_clip_polygon.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | DISTANCE_PLANE_3D_FUNC
| This function calcs the distance from a 3D plane. More...

## Functions
template<typename CLASS_POINT >
void | PLANE_CLIP_POLYGON_COLLECT (const CLASS_POINT &point0, const CLASS_POINT &point1, GREAL dist0, GREAL dist1, CLASS_POINT *clipped, GUINT &clipped_count)
template<typename CLASS_POINT , typename CLASS_PLANE , typename DISTANCE_PLANE_FUNC >
GUINT | PLANE_CLIP_POLYGON_GENERIC (const CLASS_PLANE &plane, const CLASS_POINT *polygon_points, GUINT polygon_point_count, CLASS_POINT *clipped, DISTANCE_PLANE_FUNC distance_func)
| Clips a polygon by a plane. More...
template<typename CLASS_POINT , typename CLASS_PLANE , typename DISTANCE_PLANE_FUNC >
GUINT | PLANE_CLIP_TRIANGLE_GENERIC (const CLASS_PLANE &plane, const CLASS_POINT &point0, const CLASS_POINT &point1, const CLASS_POINT &point2, CLASS_POINT *clipped, DISTANCE_PLANE_FUNC distance_func)
| Clips a polygon by a plane. More...
template<typename CLASS_POINT , typename CLASS_PLANE >
GUINT | PLANE_CLIP_POLYGON3D (const CLASS_PLANE &plane, const CLASS_POINT *polygon_points, GUINT polygon_point_count, CLASS_POINT *clipped)
template<typename CLASS_POINT , typename CLASS_PLANE >
GUINT | PLANE_CLIP_TRIANGLE3D (const CLASS_PLANE &plane, const CLASS_POINT &point0, const CLASS_POINT &point1, const CLASS_POINT &point2, CLASS_POINT *clipped)

## Function Documentation

## § PLANE_CLIP_POLYGON3D()

template<typename CLASS_POINT , typename CLASS_PLANE >

GUINT PLANE_CLIP_POLYGON3D | ( | const CLASS_PLANE & | plane,
|  | const CLASS_POINT * | polygon_points,
|  | GUINT | polygon_point_count,
|  | CLASS_POINT * | clipped
| ) |  |
| inline

Definition at line 187 of file gim_clip_polygon.h.

## § PLANE_CLIP_POLYGON_COLLECT()

template<typename CLASS_POINT >

void PLANE_CLIP_POLYGON_COLLECT | ( | const CLASS_POINT & | point0,
|  | const CLASS_POINT & | point1,
|  | GREAL | dist0,
|  | GREAL | dist1,
|  | CLASS_POINT * | clipped,
|  | GUINT & | clipped_count
| ) |  |
| inline

Definition at line 51 of file gim_clip_polygon.h.

## § PLANE_CLIP_POLYGON_GENERIC()

template<typename CLASS_POINT , typename CLASS_PLANE , typename DISTANCE_PLANE_FUNC >

GUINT PLANE_CLIP_POLYGON_GENERIC | ( | const CLASS_PLANE & | plane,
|  | const CLASS_POINT * | polygon_points,
|  | GUINT | polygon_point_count,
|  | CLASS_POINT * | clipped,
|  | DISTANCE_PLANE_FUNC | distance_func
| ) |  |
| inline

Clips a polygon by a plane.

Returns
  The count of the clipped counts

Definition at line 80 of file gim_clip_polygon.h.

## § PLANE_CLIP_TRIANGLE3D()

template<typename CLASS_POINT , typename CLASS_PLANE >

GUINT PLANE_CLIP_TRIANGLE3D | ( | const CLASS_PLANE & | plane,
|  | const CLASS_POINT & | point0,
|  | const CLASS_POINT & | point1,
|  | const CLASS_POINT & | point2,
|  | CLASS_POINT * | clipped
| ) |  |
| inline

Definition at line 198 of file gim_clip_polygon.h.

## § PLANE_CLIP_TRIANGLE_GENERIC()

template<typename CLASS_POINT , typename CLASS_PLANE , typename DISTANCE_PLANE_FUNC >

GUINT PLANE_CLIP_TRIANGLE_GENERIC | ( | const CLASS_PLANE & | plane,
|  | const CLASS_POINT & | point0,
|  | const CLASS_POINT & | point1,
|  | const CLASS_POINT & | point2,
|  | CLASS_POINT * | clipped,
|  | DISTANCE_PLANE_FUNC | distance_func
| ) |  |
| inline

Clips a polygon by a plane.

Returns
  The count of the clipped counts

Definition at line 130 of file gim_clip_polygon.h.